<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Allgemein\Aktuelles;

class ControllerFactory
{
  public function getController($pAction)
  {
    switch ($pAction) {
      default:
      case 'newsuebersicht':
        return new NewsUebersicht\NewsUebersichtController();
      case 'setFilterNewsUebersicht':
        return new NewsUebersicht\NewsUebersichtSetFilterController();
      case 'resetFilterNewsUebersicht':
        return new NewsUebersicht\NewsUebersichtResetFilterController();
      case 'neueNews':
        return new NeueNews\NeueNewsController();
      case 'saveNews':
        return new SaveNews\SaveNewsController();
      case 'loescheNews':
        return new LoescheNews\LoescheNewsController();
      case 'bearbeiteNews':
        return new BearbeiteNews\BearbeiteNewsController();
      case 'saveBearbeiteteNews':
        return new SaveBearbeitenNews\SaveBearbeitenNewsController();
      case 'showFilterNews':
        return new ShowFilterNews\ShowFilterNewsController();
    }
  }
}